class FixedArray extends Array {
  push (...args) {
    super.push(...args)
    for (let i = 0; i < args.length; i++) {
      Array.prototype.shift.call(this)
    }
  }

  unshift (...args) {
    super.unshift(...args)
    for (let i = 0; i < args.length; i++) {
      Array.prototype.pop.call(this)
    }
  }
}
FixedArray.prototype.pop = undefined
FixedArray.prototype.shift = undefined

module.exports = FixedArray
module.exports.default = FixedArray
